## ros-galactic-turtlebot4-robot 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(turtlebot4_robot)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-galactic-turtlebot4-robot (0.1.3-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Thu, 15 Sep 2022 04:00:00 -0000

ros-galactic-turtlebot4-robot (0.1.2-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Mon, 30 May 2022 04:00:00 -0000

ros-galactic-turtlebot4-robot (0.1.1-1focal) focal; urgency=high



 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 24 May 2022 04:00:00 -0000

ros-galactic-turtlebot4-robot (0.1.0-1focal) focal; urgency=high

  * First Galactic release
  * Contributors: Roni Kreinin

 -- rkreinin <rkreinin@clearpathrobotics.com>  Tue, 24 May 2022 04:00:00 -0000

=== debian/control ===
Source: ros-galactic-turtlebot4-robot
Section: misc
Priority: optional
Maintainer: rkreinin <rkreinin@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-turtlebot4-base, ros-galactic-turtlebot4-bringup, ros-galactic-turtlebot4-diagnostics, ros-galactic-turtlebot4-tests, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-turtlebot4-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-turtlebot4-base, ros-galactic-turtlebot4-bringup, ros-galactic-turtlebot4-diagnostics, ros-galactic-turtlebot4-tests, ros-galactic-ros-workspace
Description: Turtlebot4 Robot Metapackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-turtlebot4-robot//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
